GET /katello/api/organizations/:organization_id/flatpak_remote_repositories
List flatpak remote repositories

GET /katello/api/flatpak_remotes/:flatpak_remote_id/flatpak_remote_repositories
List flatpak remote's repositories

Examples

GET /katello/api/flatpak_remote_repositories
200
{
  "total": 4,
  "subtotal": 4,
  "selectable": 4,
  "page": 1,
  "per_page": 20,
  "error": null,
  "search": null,
  "sort": {
    "by": "name",
    "order": "asc"
  },
  "results": [
    {
      "name": "f41/flatpak-runtime",
      "application_name": null,
      "label": "Fedora_flatpak-f41_flatpak-runtime",
      "flatpak_remote_id": 756898686,
      "id": 80380443,
      "last_mirrored": {}
    },
    {
      "name": "firefox",
      "application_name": null,
      "label": "Fedora_flatpak-firefox",
      "flatpak_remote_id": 756898686,
      "id": 637171033,
      "last_mirrored": {}
    },
    {
      "name": "rhel9/firefox-flatpak",
      "application_name": "org.mozilla.Firefox",
      "label": "Redhat_flatpak-rhel9-firefox-flatpak",
      "flatpak_remote_id": 228288065,
      "id": 501177191,
      "last_mirrored": {}
    },
    {
      "name": "rhel9/flatpak-runtime",
      "application_name": "com.redhat.Platform",
      "label": "Redhat_flatpak-rhel9_flatpak-runtime",
      "flatpak_remote_id": 228288065,
      "id": 657037483,
      "last_mirrored": {}
    }
  ]
}

Params

Param name Description
organization_id
optional

organization identifier

Validations:

  • Must be a number.

flatpak_remote_id
required

ID of flatpak remote to show repositories of

Validations:

  • Must be a number.

name
optional

Name of the flatpak remote repository

Validations:

  • String

label
optional

Label of the flatpak remote

Validations:

  • String

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

Search fields

Field name Type Possible values
flatpak_remote_id integer
id integer
label string
name string

GET /katello/api/flatpak_remote_repositories/:id
Show a flatpak remote repository

Examples

GET /katello/api/flatpak_remote_repositories/-1
404
{
  "message": "Could not find flatpak_remote_repository resource with id -1. Potential missing permissions: view_flatpak_remotes",
  "errors": [
    "Could not find flatpak_remote_repository resource with id -1. Potential missing permissions: view_flatpak_remotes"
  ]
}

Params

Param name Description
id
required

Flatpak remote repository numeric identifier

Validations:

  • Must be a number.

manifests
optional

Include manifests

Validations:

  • Must be one of: true, false, 1, 0.


POST /katello/api/flatpak_remote_repositories/:id/mirror
Mirror a flatpak remote repository

Examples

POST /katello/api/flatpak_remote_repositories/657037483/mirror
{
  "product_id": 1073012828,
  "flatpak_remote_repository": {}
}
422
{
  "message": "Flatpak repositories cannot be mirrored into Red Hat products. Please select a custom product.",
  "errors": [
    "Flatpak repositories cannot be mirrored into Red Hat products. Please select a custom product."
  ]
}

Params

Param name Description
id
required

Flatpak remote repository numeric identifier

Validations:

  • Must be a number.

product_id
optional

Product ID to mirror the remote repository to

Validations:

  • Must be a number.

product_name
optional

Name of the product to mirror the remote repository to

Validations:

  • String

organization_id
optional

organization identifier

Validations:

  • Must be a number.

dependency_ids
optional

Array of dependency repository IDs to mirror along with the main repository

Validations:

  • Must be an array of any type